#include <iostream>
#include <algorithm>
using namespace std;
int main()
{
	int n,m;
	cin>>n>>m;
	int a[n];
	int mat[n][m];
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	sort(a,a+n);
	int x=n,zbir=0;
	for(int i=0;i<n;i++)
	{
		if(a[i]==m)
		{
			x=i;
			break;
		}
		else
		{
			zbir=zbir+a[i];
		}
	}
	int ukupno=x*m;
	int dosadno=0;
	if(zbir<=ukupno)
	{
		for(int i=0;i<x;i++)
		{
			for(int j=0;j<a[i];j++)
			{
				mat[i][j]=2;
			}
		}
		int puni;
		for(int i=0;i<m;i++)
		{
			puni=0;
			for(int j=0;j<n;j++)
			{
				if(mat[j][i]==2)
				{
					puni++;
				}
			}
			dosadno=dosadno+(puni*(n-puni));
		}
		cout<<dosadno;
	}
	else
	{
		for(int i=0;i<n;i++)
		{
			for(int j=0;j<a[i];j++)
			{
				mat[i][j]=2;
			}
		}
		int puni;
		for(int i=0;i<m;i++)
		{
			puni=0;
			for(int j=0;j<n;j++)
			{
				if(mat[j][i]==2)
				{
					puni++;
				}
			}
			dosadno=dosadno+(puni*(n-puni));
		}
		cout<<dosadno;
	}
}